# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
ARTSC_CONFIG = @ARTSC_CONFIG@
ARTSDIR = @ARTSDIR@
ARTS_CFLAGS = @ARTS_CFLAGS@
ARTS_LIBS = @ARTS_LIBS@
AS = @AS@
CC = @CC@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CSL_BINARY_AGE = @CSL_BINARY_AGE@
CSL_BYTE_ORDER = @CSL_BYTE_ORDER@
CSL_FEATURE_ARTS = @CSL_FEATURE_ARTS@
CSL_INTERFACE_AGE = @CSL_INTERFACE_AGE@
CSL_MAJOR_VERSION = @CSL_MAJOR_VERSION@
CSL_MICRO_VERSION = @CSL_MICRO_VERSION@
CSL_MINOR_VERSION = @CSL_MINOR_VERSION@
CSL_VERSION = @CSL_VERSION@
CXX = @CXX@
CXXCPP = @CXXCPP@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
LDFLAGS = @LDFLAGS@
LIBTOOL = @LIBTOOL@
LIBTOOL_EXPORT_OPTIONS = @LIBTOOL_EXPORT_OPTIONS@
LN_S = @LN_S@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
STRIP = @STRIP@
STRIP_BEGIN = @STRIP_BEGIN@
STRIP_DUMMY = @STRIP_DUMMY@
STRIP_END = @STRIP_END@
VERSION = @VERSION@

INCLUDES = -I$(top_srcdir)

# programs
progsLDADD = ../csl/libcsl.la

# programs not to install
noinst_PROGRAMS = csldrivers cslinit cslinitmutex cslmutex csloptions cslpcm1 cslpcm2 cslutils cslchanmap cslduplex cslpcmadv wave

csldrivers_SOURCES = csldrivers.c
cslinit_SOURCES = cslinit.c
cslinitmutex_SOURCES = cslinitmutex.c
cslmutex_SOURCES = cslmutex.c
csloptions_SOURCES = csloptions.c
cslpcm1_SOURCES = cslpcm1.c
cslpcm2_SOURCES = cslpcm2.c
cslduplex_SOURCES = cslduplex.c
cslutils_SOURCES = cslutils.c
cslpcmadv_SOURCES = cslpcmadv.c
wave_SOURCES = wave.c

csldrivers_LDADD = $(progsLDADD)
cslinit_LDADD = $(progsLDADD)
cslinitmutex_LDADD = $(progsLDADD)
cslmutex_LDADD = $(progsLDADD) -lpthread
csloptions_LDADD = $(progsLDADD)
cslpcm1_LDADD = $(progsLDADD)
cslpcm2_LDADD = $(progsLDADD)
cslduplex_LDADD = $(progsLDADD) -lpthread
cslutils_LDADD = $(progsLDADD)
cslchanmap_LDADD = $(progsLDADD)
cslpcmadv_LDADD = $(progsLDADD)
wave_LDADD = $(progsLDADD) -lm
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../CSL_config.h
CONFIG_CLEAN_FILES = 
noinst_PROGRAMS =  csldrivers$(EXEEXT) cslinit$(EXEEXT) \
cslinitmutex$(EXEEXT) cslmutex$(EXEEXT) csloptions$(EXEEXT) \
cslpcm1$(EXEEXT) cslpcm2$(EXEEXT) cslutils$(EXEEXT) cslchanmap$(EXEEXT) \
cslduplex$(EXEEXT) cslpcmadv$(EXEEXT) wave$(EXEEXT)
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
LIBS = @LIBS@
csldrivers_OBJECTS =  csldrivers.$(OBJEXT)
csldrivers_DEPENDENCIES =  ../csl/libcsl.la
csldrivers_LDFLAGS = 
cslinit_OBJECTS =  cslinit.$(OBJEXT)
cslinit_DEPENDENCIES =  ../csl/libcsl.la
cslinit_LDFLAGS = 
cslinitmutex_OBJECTS =  cslinitmutex.$(OBJEXT)
cslinitmutex_DEPENDENCIES =  ../csl/libcsl.la
cslinitmutex_LDFLAGS = 
cslmutex_OBJECTS =  cslmutex.$(OBJEXT)
cslmutex_DEPENDENCIES =  ../csl/libcsl.la
cslmutex_LDFLAGS = 
csloptions_OBJECTS =  csloptions.$(OBJEXT)
csloptions_DEPENDENCIES =  ../csl/libcsl.la
csloptions_LDFLAGS = 
cslpcm1_OBJECTS =  cslpcm1.$(OBJEXT)
cslpcm1_DEPENDENCIES =  ../csl/libcsl.la
cslpcm1_LDFLAGS = 
cslpcm2_OBJECTS =  cslpcm2.$(OBJEXT)
cslpcm2_DEPENDENCIES =  ../csl/libcsl.la
cslpcm2_LDFLAGS = 
cslutils_OBJECTS =  cslutils.$(OBJEXT)
cslutils_DEPENDENCIES =  ../csl/libcsl.la
cslutils_LDFLAGS = 
cslchanmap_SOURCES = cslchanmap.c
cslchanmap_OBJECTS =  cslchanmap.$(OBJEXT)
cslchanmap_DEPENDENCIES =  ../csl/libcsl.la
cslchanmap_LDFLAGS = 
cslduplex_OBJECTS =  cslduplex.$(OBJEXT)
cslduplex_DEPENDENCIES =  ../csl/libcsl.la
cslduplex_LDFLAGS = 
cslpcmadv_OBJECTS =  cslpcmadv.$(OBJEXT)
cslpcmadv_DEPENDENCIES =  ../csl/libcsl.la
cslpcmadv_LDFLAGS = 
wave_OBJECTS =  wave.$(OBJEXT)
wave_DEPENDENCIES =  ../csl/libcsl.la
wave_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(csldrivers_SOURCES) $(cslinit_SOURCES) $(cslinitmutex_SOURCES) $(cslmutex_SOURCES) $(csloptions_SOURCES) $(cslpcm1_SOURCES) $(cslpcm2_SOURCES) $(cslutils_SOURCES) cslchanmap.c $(cslduplex_SOURCES) $(cslpcmadv_SOURCES) $(wave_SOURCES)
OBJECTS = $(csldrivers_OBJECTS) $(cslinit_OBJECTS) $(cslinitmutex_OBJECTS) $(cslmutex_OBJECTS) $(csloptions_OBJECTS) $(cslpcm1_OBJECTS) $(cslpcm2_OBJECTS) $(cslutils_OBJECTS) cslchanmap.$(OBJEXT) $(cslduplex_OBJECTS) $(cslpcmadv_OBJECTS) $(wave_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps examples/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

csldrivers$(EXEEXT): $(csldrivers_OBJECTS) $(csldrivers_DEPENDENCIES)
	@rm -f csldrivers$(EXEEXT)
	$(LINK) $(csldrivers_LDFLAGS) $(csldrivers_OBJECTS) $(csldrivers_LDADD) $(LIBS)

cslinit$(EXEEXT): $(cslinit_OBJECTS) $(cslinit_DEPENDENCIES)
	@rm -f cslinit$(EXEEXT)
	$(LINK) $(cslinit_LDFLAGS) $(cslinit_OBJECTS) $(cslinit_LDADD) $(LIBS)

cslinitmutex$(EXEEXT): $(cslinitmutex_OBJECTS) $(cslinitmutex_DEPENDENCIES)
	@rm -f cslinitmutex$(EXEEXT)
	$(LINK) $(cslinitmutex_LDFLAGS) $(cslinitmutex_OBJECTS) $(cslinitmutex_LDADD) $(LIBS)

cslmutex$(EXEEXT): $(cslmutex_OBJECTS) $(cslmutex_DEPENDENCIES)
	@rm -f cslmutex$(EXEEXT)
	$(LINK) $(cslmutex_LDFLAGS) $(cslmutex_OBJECTS) $(cslmutex_LDADD) $(LIBS)

csloptions$(EXEEXT): $(csloptions_OBJECTS) $(csloptions_DEPENDENCIES)
	@rm -f csloptions$(EXEEXT)
	$(LINK) $(csloptions_LDFLAGS) $(csloptions_OBJECTS) $(csloptions_LDADD) $(LIBS)

cslpcm1$(EXEEXT): $(cslpcm1_OBJECTS) $(cslpcm1_DEPENDENCIES)
	@rm -f cslpcm1$(EXEEXT)
	$(LINK) $(cslpcm1_LDFLAGS) $(cslpcm1_OBJECTS) $(cslpcm1_LDADD) $(LIBS)

cslpcm2$(EXEEXT): $(cslpcm2_OBJECTS) $(cslpcm2_DEPENDENCIES)
	@rm -f cslpcm2$(EXEEXT)
	$(LINK) $(cslpcm2_LDFLAGS) $(cslpcm2_OBJECTS) $(cslpcm2_LDADD) $(LIBS)

cslutils$(EXEEXT): $(cslutils_OBJECTS) $(cslutils_DEPENDENCIES)
	@rm -f cslutils$(EXEEXT)
	$(LINK) $(cslutils_LDFLAGS) $(cslutils_OBJECTS) $(cslutils_LDADD) $(LIBS)

cslchanmap$(EXEEXT): $(cslchanmap_OBJECTS) $(cslchanmap_DEPENDENCIES)
	@rm -f cslchanmap$(EXEEXT)
	$(LINK) $(cslchanmap_LDFLAGS) $(cslchanmap_OBJECTS) $(cslchanmap_LDADD) $(LIBS)

cslduplex$(EXEEXT): $(cslduplex_OBJECTS) $(cslduplex_DEPENDENCIES)
	@rm -f cslduplex$(EXEEXT)
	$(LINK) $(cslduplex_LDFLAGS) $(cslduplex_OBJECTS) $(cslduplex_LDADD) $(LIBS)

cslpcmadv$(EXEEXT): $(cslpcmadv_OBJECTS) $(cslpcmadv_DEPENDENCIES)
	@rm -f cslpcmadv$(EXEEXT)
	$(LINK) $(cslpcmadv_LDFLAGS) $(cslpcmadv_OBJECTS) $(cslpcmadv_LDADD) $(LIBS)

wave$(EXEEXT): $(wave_OBJECTS) $(wave_DEPENDENCIES)
	@rm -f wave$(EXEEXT)
	$(LINK) $(wave_LDFLAGS) $(wave_OBJECTS) $(wave_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = examples

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
cslchanmap.o: cslchanmap.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
csldrivers.o: csldrivers.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
cslduplex.o: cslduplex.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
cslinit.o: cslinit.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h
cslinitmutex.o: cslinitmutex.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
cslmutex.o: cslmutex.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h
csloptions.o: csloptions.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
cslpcm1.o: cslpcm1.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h
cslpcm2.o: cslpcm2.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h
cslpcmadv.o: cslpcmadv.c ../csl/csl.h ../csl/cslconfig.h \
	../csl/csldefs.h ../csl/cslmain.h ../csl/cslutils.h \
	../csl/cslpcm.h
cslutils.o: cslutils.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h
wave.o: wave.c ../csl/csl.h ../csl/cslconfig.h ../csl/csldefs.h \
	../csl/cslmain.h ../csl/cslutils.h ../csl/cslpcm.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
